Loading...
Searching...
No Matches
osmium::diff_handler::DiffHandler Class Reference

`#include <diff_handler.hpp>`

## Public Member Functions

| DiffHandler ()=default
void | node (const osmium::DiffNode &) const noexcept
void | way (const osmium::DiffWay &) const noexcept
void | relation (const osmium::DiffRelation &) const noexcept

## Constructor & Destructor Documentation

## DiffHandler()

osmium::diff_handler::DiffHandler::DiffHandler | ( |  | ) |

default

## Member Function Documentation

## node()

void osmium::diff_handler::DiffHandler::node | ( | const osmium::DiffNode & |  | ) | const

inlinenoexcept

## relation()

void osmium::diff_handler::DiffHandler::relation | ( | const osmium::DiffRelation & |  | ) | const

inlinenoexcept

## way()

void osmium::diff_handler::DiffHandler::way | ( | const osmium::DiffWay & |  | ) | const

inlinenoexcept

The documentation for this class was generated from the following file:

- include/osmium/diff_handler.hpp